<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>

        <!-- DOCX-шаблон для печати договора на модели account.move -->
        <!-- report_docx_template (файл .docx) загружается пользователем вручную -->
        <record id="demo_docx_template_contract" model="docx.template">
            <field name="name">Печать договора</field>
            <field name="report_type">docx-docx</field>
            <field name="model">account.move</field>
            <field name="docx_output_type">docx</field>
            <field name="docx_model_id" search="[('model','=','account.move')]" model="ir.model"/>
            <field name="global_template" eval="True"/>
            <field name="filename_pattern">object.name or 'contract'</field>
        </record>

        <!-- DOCX-шаблон договора для модели partner.contract.customer -->
        <record id="demo_docx_template_partner_contract" model="docx.template">
            <field name="name">Контракт №1</field>
            <field name="report_type">docx-docx</field>
            <field name="model">partner.contract.customer</field>
            <field name="docx_output_type">docx</field>
            <field name="docx_model_id" search="[('model','=','partner.contract.customer')]" model="ir.model"/>
            <field name="global_template" eval="True"/>
            <field name="filename_pattern">object.name or 'contract'</field>
            <field name="print_report_name">'contract.docx'</field>
            <field name="report_docx_template" type="base64" file="ruodoo_demo_data/static/src/templates/contract.docx"/>
            <field name="report_docx_template_filename">contract.docx</field>
        </record>

    </data>
</odoo>
